Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.log
Class LogForm

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.form.XmlComponent
              com.tonbeller.wcf.form.FormComponent
                  com.tonbeller.wcf.log.LogForm

All Implemented Interfaces:
  Bookmarkable, Component, java.util.EventListener, Form, FormListener, javax.servlet.http.HttpSessionBindingListener, LifeCycle, Renderable, RequestListener, RoleExprHolder, Visible, WizardPage

public class LogForm
extends FormComponent

Logging administration form

Nested Class Summary

Nested classes inherited from class com.tonbeller.wcf.wizard.WizardPage
`WizardPage.WizardPagePosition`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`LogForm(java.lang.String id, Component parent, org.w3c.dom.Document doc, java.lang.String logDir)` Constructor

Method Summary
`protected LogHandler` | `createLogHandler(java.lang.String logDir, java.util.Locale locale, java.lang.String ctxname)` Method createLogHandler.
`java.lang.String` | `getLogConf()` Returns the logConf.
`java.lang.String` | `getLogFile()` Returns the logFile.
`LogHandler` | `getLogHandler()` Method getLogHandler.
`java.lang.String` | `getLogLevel()` Returns the logLevel.
`java.lang.String` | `getLogVersion()` Returns the logVersion.
`void` | `initialize(RequestContext context)` deferred ctor
`void` | `setLogConf(java.lang.String logConf)` Sets the logConf.
`void` | `setLogFile(java.lang.String logFile)` Sets the logFile.

Methods inherited from class com.tonbeller.wcf.form.FormComponent
`addPageListener, clearErrors, clearErrors, getBean, getBookmarkState, isBookmarkable, isFinishButton, pageAdded, pageSkipped, removePageListener, render, revert, setBean, setBookmarkable, setBookmarkState, setError, setFinishButton, validate`

Methods inherited from class com.tonbeller.wcf.form.XmlComponent
`destroy, getChildren, getDocument, getElement, getElement, getHandler, getHandler, getParent`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, setAutoValidate, setId, setNextView, setParent, setRoleExpr, setVisible, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Constructor Detail

### LogForm

    public LogForm(java.lang.String id,
                   Component parent,
                   org.w3c.dom.Document doc,
                   java.lang.String logDir)
            throws java.lang.Exception

  Constructor

Parameters:
  `id` -
  `doc` -
Throws:
  `java.io.IOException`
  `java.lang.Exception`

Method Detail

### initialize

    public void initialize(RequestContext context)
                    throws java.lang.Exception

  Description copied from class: `FormComponent`
  deferred ctor

  Specified by:
    `initialize` in interface `LifeCycle`
  Overrides:
    `initialize` in class `FormComponent`
  Throws:
    `java.lang.Exception`
  See Also:
    `LifeCycle.initialize(com.tonbeller.wcf.controller.RequestContext)`

### createLogHandler

    protected LogHandler createLogHandler(java.lang.String logDir,
                                          java.util.Locale locale,
                                          java.lang.String ctxname)
                                   throws java.io.IOException

  Method createLogHandler.

  Returns:
    LogHandler
  Throws:
    `java.io.IOException`

### getLogHandler

    public LogHandler getLogHandler()

  Method getLogHandler.

  Returns:
    LogHandler

### getLogConf

    public java.lang.String getLogConf()

  Returns the logConf.

  Returns:
    String

### setLogConf

    public void setLogConf(java.lang.String logConf)

  Sets the logConf.

  Parameters:
    `logConf` - The logConf to set

### getLogVersion

    public java.lang.String getLogVersion()

  Returns the logVersion.

  Returns:
    String

### getLogFile

    public java.lang.String getLogFile()

  Returns the logFile.

  Returns:
    String

### setLogFile

    public void setLogFile(java.lang.String logFile)

  Sets the logFile.

  Parameters:
    `logFile` - The logFile to set

### getLogLevel

    public java.lang.String getLogLevel()

  Returns the logLevel.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD